List Organizations Visible from the Current Organization Context
curl --request GET \
--url https://api.base39.com.br/v2/orgs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.base39.com.br/v2/orgs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.base39.com.br/v2/orgs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"object": "page",
"id": "p_abc123",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T14:45:00.000Z",
"name": "Acme Corp",
"slug": "acme",
"billing": "stripe",
"invoiceEmails": [
"<string>"
],
"createdBy": {
"object": "user",
"id": "u_abc123",
"apiKeyId": "bsk_abc123"
},
"updatedBy": {
"object": "user",
"id": "u_abc123",
"apiKeyId": "bsk_abc123"
},
"legalName": "<string>",
"tradeName": "<string>",
"status": "draft",
"domain": "<string>",
"allow_auto_join": true,
"microsoftTenants": [
{
"domain": "contoso.com",
"tenantId": "36691401-5cfd-4754-a328-acba3782dee8"
}
],
"stripeCustomerId": "<string>",
"stripeSubscriptionId": "<string>",
"kongCustomerId": "<string>",
"trialEndedAt": "2023-11-07T05:31:56Z",
"icon": {
"type": "emoji",
"emoji": "page_icon",
"external": {
"url": "https://example.com/image.jpg"
},
"file_upload": {
"id": "fu_abc123"
},
"domain": "acme.com",
"file": {
"url": "https://s3.amazonaws.com/...",
"expiryTime": "2024-01-15T10:30:00.000Z"
},
"lucide": "file-text",
"brand": "github",
"dicebear": {
"style": "notionists-neutral",
"seed": "0256de50-f90c-49a8-81f0-3988b2b89d8d",
"backgroundColor": "b6e3f4,b6e3f4",
"options": {
"brows": "<string>",
"eyes": "<string>",
"glasses": "<string>",
"lips": "<string>",
"nose": "<string>",
"flip": true,
"rotate": 123,
"scale": 123,
"radius": 123,
"size": 123,
"backgroundType": "solid",
"backgroundRotation": [
123
],
"translateX": 123,
"translateY": 123,
"clip": true,
"randomizeIds": true
}
},
"background": "blue",
"empty": true,
"updatedBy": "dataset:empresas"
},
"theme": {
"primaryColor": "#2563eb",
"textColor": "#ffffff"
},
"settings": {
"defaultAgent": "base39-orbit-chat",
"defaultWhatsAppAgent": "base39-orbit-whatsapp",
"homeShortcuts": [
{
"type": "bundle",
"id": "<string>",
"visible": true
}
],
"authentication": {
"emailPasswordEnabled": true,
"googleEnabled": true,
"microsoftEnabled": true,
"passkeyEnabled": true,
"samlEnabled": true,
"require2FA": true
},
"ipRestrictions": {
"enabled": true,
"allowedCidrs": [
"<string>"
]
},
"objectSettings": {
"deal": {
"properties": {},
"relations": {}
}
},
"datasetQueries": [
{
"entityType": "company",
"slug": "serasa_crednet",
"mode": "manual"
}
]
},
"params": {},
"owner": {
"object": "user",
"id": "user_123"
},
"billingAddress": {
"line1": "<string>",
"number": "<string>",
"line2": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"phoneNumber": "<string>"
},
"document": "<string>",
"defaultPaymentMethod": "<string>",
"trialDaysRemaining": 12
}
]Organizations
List Organizations Visible from the Current Organization Context
GET
/
v2
/
orgs
List Organizations Visible from the Current Organization Context
Authorizations
OAuth2 Authorization Code flow
Query Parameters
Stripe-like filter over org fields, e.g. org.name:"filial" or org.status:"active".
Response
200 - application/json
Object type
Example:
"page"
Unique identifier
Example:
"p_abc123"
Creation timestamp
Example:
"2024-01-15T10:30:00.000Z"
Last update timestamp
Example:
"2024-01-15T14:45:00.000Z"
Example:
"Acme Corp"
Example:
"acme"
Available options:
stripe, kong Maximum array length:
10Principal who created this object
Show child attributes
Show child attributes
Example:
{
"object": "user",
"id": "u_abc123",
"apiKeyId": "bsk_abc123"
}
Principal who last updated this object
Show child attributes
Show child attributes
Example:
{
"object": "user",
"id": "u_abc123",
"apiKeyId": "bsk_abc123"
}
Available options:
draft, trialing, active, incomplete, incomplete_expired, past_due, canceled, unpaid, paused Show child attributes
Show child attributes
Show child attributes
Show child attributes
Configurações de tema da organização
Show child attributes
Show child attributes
Configurações da organização
Show child attributes
Show child attributes
Organization parameters
Show child attributes
Show child attributes
Endereço de faturamento
Show child attributes
Show child attributes
Dias restantes de trial
Example:
12
⌘I